#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEA,0x34,0xC8,0x66,0x35,0xC9,0x40,0x87,0x40,0x1A,0xC8,0x5C,
		0xC7,0x30,0x25,0x9E,0xC9,0x6B,0x01,0x05,0xEE,0x68,0xA4,0xD8,
		0x76,0x62,0x0A,0xF1,0xC6,0xB6,0xE6,0x70,0x02,0x3A,0xA0,0x1A,
		0xDE,0x63,0x34,0x82,0x04,0x9A,0xDA,0x8F,0x7B,0x10,0xD1,0xC3,
		0xB4,0x7C,0xD1,0xBD,0xD5,0x79,0xD3,0x5C,0xEF,0x7B,0xB2,0x58,
		0xD2,0x86,0xAA,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
